/*----------------------------------------------------------------------------
INGENICO Technical Software Department
------------------------------------------------------------------------------
Copyright (c) 2012, Ingenico.
28-32 boulevard de Grenelle 75015 Paris, France.
All rights reserved.
This source program is the property of INGENICO Company and may not be copied
in any form or by any means, whether in part or in whole, except under license
expressly granted by INGENICO company
All copies of this program, whether in part or in whole, and
whether modified or not, must display this and all other
embedded copyright and ownership notices in full. */

#include "qralloc.h"
#include "config.h"

static QRAlloc allocator = { malloc, free, calloc };

void QRAlloc_init(QRAlloc * alloc)
{
	if (alloc)
	{
		allocator = * alloc;
	}
}

void * QRAlloc_malloc(size_t size)
{
	return allocator.malloc(size);
}

void QRAlloc_free(void * ptr)
{
	allocator.free(ptr);
}

void * QRAlloc_calloc (size_t number, size_t count)
{
	return allocator.calloc(number, count);
}
